#!/bin/sh
if [ $# -eq 0 ]
then
    printf "run_one.sh exmp solver time_limit\n"
    printf "  exmp -  the root name of the example to solve\n"
    printf "  solver - the name of a PQE solver (ds-pqe,eg-pqe+ or start)\n"
    printf "  time_limit - the time limit in seconds\n"
    exit
fi

if [ $# -ne 3 ]
then
    echo "wrong number of parameters"
    exit
fi

exmp=$1
solver=$2
if [ $solver = "start" ]
then 
    time_limit=T$3
elif [ $solver = "ds-pqe" ]
then
    params="r"
    time_limit=t$3
else	
    time_limit=t$3
fi

./$solver $exmp $time_limit $params > $exmp.$solver.prot
status=$?
if [ $status -eq 100 ]
then
    printf "error! (check if all three files are present)\n"
    exit
fi
grep "total time" $exmp.$solver.prot

grep finished $exmp.$solver.prot > /dev/null
if [ $? -eq 0 ]
then
    printf "not finished\n"
else
    printf "finished\n"
fi


